<!--
* Using Overlay Effect provided by JQueryTools 
* JQuery Library & overlay plugin need to be included on the page  
* More info at http://jquerytools.org/demos/overlay/index.html
* <script src="http://cdn.jquerytools.org/1.2.7/all/jquery.tools.min.js"></script>

-->


<style>

    .SGallery.Overlay {
        float: left;
    }
    .SGallery.Overlay .Image {
        float: left;
        border: 2px dotted #000;
        margin: 0px 5px 10px 0px;
        cursor:pointer;
        margin:0 5px;
        background-color:#fff;
        border:1px solid #ccc;
        padding:2px;
    }
    .SGallery.Overlay .Image a{
        float: left;
        display: block;
        padding: 10px;
        background-color: #999999;

    }
    .SGallery.Overlay .Image a:hover{ 
        background-color:#cccccc;

    }
    .SGallery.Overlay .ImageWrapper{
    }
    /* styling for elements inside overlay */
    .SGallery.Overlay .ImageOverlay{
        display:none;
        z-index:10000;

        min-height:200px;
        position:absolute;
        top:15px;

        border:1px solid #666;
        padding: 10px;
        background: #fff;

    }
    .SGallery.Overlay .ImageOverlay .close{ 
        display: none;
        visibility: hidden;

    }
    .SGallery.Overlay .ImageOverlay .details {
        position: absolute;
        top:0px;
        margin-left: -10px ; /* - the padding of parent div when using width:100% */
        color:#fff;
        background-color: rgba(0,0,0,0.5);
        width: 100%;
        padding-bottom: 10px;
    }

    .SGallery.Overlay .ImageOverlay .details p {
        padding: 0 15px;
    }


</style>


<div class="SGallery Overlay">
    <% loop Images %>
    <div class="Image" id="">
        <a href="$Image.URL" class="" rel=" ">
            <img src="$Image.CroppedImage(180,150).URL" alt="" class="" rel="#ImageInfo-{$ID}"/>

        </a>

        <div class="ImageOverlay" ID="ImageInfo-{$ID}">
            $Image.SetHeight(600)
            <div class="details">
                <P> <strong>Name :</strong> $Name  </p>
                <P> <strong>Caption :</strong> $Caption  </p>
                <P> <strong>Description :</strong>   </p>   
            </div>
        </div>
    </div>

    <% end_loop %>
</div>


<script>
    $(document).ready(function() {
        $("img[rel]").overlay({mask: '#000', effect: 'apple'});
    });
</script>