<?php

class SGalleryImageCategory extends DataObject {
    /*
      public static $plural_name = 'Gallery Images';
      public static $singular_name = 'Gallery Image';
     */

    static $db = array(
        'Title' => 'Text',
        'SortID' => 'int(9)'
    );
    // Used for TableField. These are the field types.
    // Refer to getCMSFields() on ArticleHolder for how it is used.
    static $field_types = array(
        'Title' => 'HTMLEditorField'
    );
    // Used for TableField. These are the field names.
    // Refer to getCMSFields() on ArticleHolder for how it is used.
    static $field_names = array(
        'Title' => 'Category Name'
    );
    static $has_one = array();
    static $has_many = array();
    static $belongs_many_many = array(
        'SGalleryImages' => 'SGalleryImage'
    );




    /*
     *  Summary fields
     */
    public static $summary_fields = array(
        'ID'=>'ID',
        'Title'=>'Title'
    );
    public static $default_sort = 'Title Asc';
    public static $defaults = array(
    );

}

